All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.deployment
Class ServiceAttribute

    com.sas.services.deployment.ServiceAttribute

All Implemented Interfaces:
  ServiceAttributeFactoryInterface

    public class ServiceAttribute

implements ServiceAttributeFactoryInterface

Represents a service attribute from the perspective of a deployment utility. In order to instantiate a service attribute one must know its fully qualified Java class name and the values for all fields.

Since:
  1.0

Constructor Summary
`ServiceAttribute(java.lang.String attributeClassName)` Constructs an instance specifying the Java class that is to represent an instantiated attribute.

Method Summary
`java.lang.String` | `getAttributeClassName()` Gets the fully qualified name for the Java class that represents the service attribute.
`java.util.Map` | `getNameValueMap()` Gets a map that contains attribute name/value pairs representing the fields of a class specifying a service attribute.
`ServiceAttributeInterface` | `getServiceAttribute()` Gets the service attribute.
`ServiceAttributeInterface` | `getServiceAttribute(ServiceConfigurationInterface serviceConfiguration)` Gets the service attribute.
`void` | `put(java.lang.String attributeName, java.lang.String attributeValue)` Updates the attribute name/value map with an attribute name and its value.
`void` | `setAttributeClassName(java.lang.String attributeClassName)` Sets the fully qualified name for the Java class that represents the service attribute.
`java.lang.String` | `toString()` Gets a string representation of this instance.

Constructor Detail

### ServiceAttribute

    public ServiceAttribute(java.lang.String attributeClassName)

  Constructs an instance specifying the Java class that is to represent an instantiated attribute.

  Parameters:
    `attributeClassName` - Fully qualified Java class name.

Method Detail

### getAttributeClassName

    public final java.lang.String getAttributeClassName()

  Gets the fully qualified name for the Java class that represents the service attribute.

  Returns:
    Fully qualified name of the Java classs that represents this service attribute.

### setAttributeClassName

    public final void setAttributeClassName(java.lang.String attributeClassName)

  Sets the fully qualified name for the Java class that represents the service attribute.

  Parameters:
    `attributeClassName` - Fully qualified Java class name.

### put

    public final void put(java.lang.String attributeName,
                          java.lang.String attributeValue)

  Updates the attribute name/value map with an attribute name and its value.

  Parameters:
    `attributeName` - Attribute's name.
    `attributeValue` - Attribute's value.

### getNameValueMap

    public final java.util.Map getNameValueMap()

  Gets a map that contains attribute name/value pairs representing the fields of a class specifying a service attribute.

  Returns:
    Map containing attribute name/value pairs.

### getServiceAttribute

    public final ServiceAttributeInterface getServiceAttribute()

  Gets the service attribute.

  Returns:
    Service attribute.

### getServiceAttribute

    public final ServiceAttributeInterface getServiceAttribute(ServiceConfigurationInterface serviceConfiguration)
                                                        throws InitializationException

  Gets the service attribute.

  Specified by:
    `getServiceAttribute` in interface `ServiceAttributeFactoryInterface`
  Parameters:
    `serviceConfiguration` - Service configuration containing the service attribute.
  Returns:
    Service attribute or `null`
  Throws:
    `InitializationException` - if an invalid service configuration is specified.
    `java.lang.IllegalArgumentException` - if a `null` service configuration is specified.
  See Also:
    `ServiceAttributeFactoryInterface.getServiceAttribute(ServiceConfigurationInterface)`

### toString

    public final java.lang.String toString()

  Gets a string representation of this instance.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    String representation of this instance.

*** This class provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.